//----------------------------------------------------------------------//
// NyanFi																//
//  fBNg													//
//----------------------------------------------------------------------//
#ifndef HistDlgH
#define HistDlgH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.Menus.hpp>
#include <Vcl.ExtCtrls.hpp>
#include "usr_scrpanel.h"

//---------------------------------------------------------------------------
class TDirHistoryDlg : public TForm
{
__published:	// IDE ŊǗR|[lg
	TButton *HiddenCanBtn;
	TListBox *DirHistListBox;
	TMenuItem *AllClearAllItem;
	TMenuItem *ClearAllItem;
	TMenuItem *NoHistItem;
	TMenuItem *Sep_1;
	TPanel *ListPanel;
	TPopupMenu *AllHistPopupMenu;
	TPopupMenu *HistPopupMenu;

	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall DirHistListBoxDrawItem(TWinControl *Control, int Index, TRect &Rect, TOwnerDrawState State);
	void __fastcall DirHistListBoxKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall DirHistListBoxKeyPress(TObject *Sender, System::WideChar &Key);
	void __fastcall DirHistListBoxDblClick(TObject *Sender);
	void __fastcall FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall ClearAllItemClick(TObject *Sender);
	void __fastcall NoHistItemClick(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall AllClearAllItemClick(TObject *Sender);

private:	// [U[錾
	void __fastcall UpdateListBox(int idx = 0);

public:		// [U[錾
	UsrScrollPanel *ListScrPanel;	//VvXN[o[

	bool IsDirStack;
	bool IsAllDirHist;

	int  RefListTag;
	UnicodeString WorkListName;

	__fastcall TDirHistoryDlg(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TDirHistoryDlg *DirHistoryDlg;
//---------------------------------------------------------------------------
#endif
